CABS(3)

NAME
cabs, cabsf, cabsl - absolute value of a complex number

SYNOPSIS
#include <complex.h>

double cabs(double complex z);
float cabsf(float complex z);
long double cabsl(long double complex z);

Link with -lm.

DESCRIPTION
The cabs() function returns the absolute value of the complex number z. The result is a real number.

NOTE
The function is actually an alias for hypot(a,b) = sqrt(a*a+b*b).

CONFORMING TO
C99

SEE ALSO
abs(3), cimag(3), hypot(3), complex(5)